> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# サービスユーザーのAPIキーを一覧表示

> サービスユーザーの APIキーを一覧表示します。必要に応じてステータスで絞り込めます。

<div id="permissions">
  ## 権限
</div>

Enterprise レベルの `ManageAccountServiceUsers` 権限を持つサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3beta1/enterprise/service-users/{service_user_id}/api-keys
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/enterprise/service-users/{service_user_id}/api-keys:
    get:
      tags:
        - service_user_api_keys
      summary: サービスユーザーのAPIキーを一覧表示
      description: サービスユーザーの APIキーを一覧表示します。必要に応じてステータスで絞り込めます。
      operationId: >-
        handle_list_service_user_api_keys_v3beta1_enterprise_service_users__service_user_id__api_keys_get
      parameters:
        - description: 'サービスユーザー ID（プレフィックス: service-user-）'
          in: path
          name: service_user_id
          required: true
          schema:
            example: service-user-abc123def456
            title: Service User Id
            type: string
        - in: query
          name: status
          required: false
          schema:
            default: all
            enum:
              - active
              - revoked
              - expired
              - all
            title: Status
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_ApiKeyResponse_'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
components:
  schemas:
    PaginatedResponse_ApiKeyResponse_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: 次のページを取得するためのカーソル。これが最後のページの場合は None。
          title: End Cursor
        has_next_page:
          default: false
          description: このページの後にも利用可能なアイテムがあるかどうか。
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/ApiKeyResponse'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: 省略可能な合計件数（パフォーマンスのため省略されることがあります）。
          title: Total
      required:
        - items
      title: PaginatedResponse[ApiKeyResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ApiKeyResponse:
      description: APIキーの詳細に関する共通レスポンスモデル（PATとサービスユーザーの両方のエンドポイントで利用）。
      properties:
        api_key_id:
          title: Api Key Id
          type: string
        api_key_name:
          title: Api Key Name
          type: string
        created_at:
          title: Created At
          type: integer
        expires_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires At
        is_active:
          title: Is Active
          type: boolean
        last_used_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Used At
        revoked_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Revoked At
      required:
        - api_key_id
        - api_key_name
        - created_at
        - expires_at
        - revoked_at
        - last_used_at
        - is_active
      title: ApiKeyResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````